<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('ajo_savings', function (Blueprint $table) {
            $table->unsignedFloat('amount_earned', 15)->nullable()->after('referred_by');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('ajo_savings', function (Blueprint $table) {
            $table->dropColumn('amount_earned');
        });
    }
};
